<?php
$tdatacategoryjobsub = array();
$tdatacategoryjobsub[".searchableFields"] = array();
$tdatacategoryjobsub[".ShortName"] = "categoryjobsub";
$tdatacategoryjobsub[".OwnerID"] = "";
$tdatacategoryjobsub[".OriginalTable"] = "categoryjobsub";


$tdatacategoryjobsub[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatacategoryjobsub[".originalPagesByType"] = $tdatacategoryjobsub[".pagesByType"];
$tdatacategoryjobsub[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatacategoryjobsub[".originalPages"] = $tdatacategoryjobsub[".pages"];
$tdatacategoryjobsub[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatacategoryjobsub[".originalDefaultPages"] = $tdatacategoryjobsub[".defaultPages"];

//	field labels
$fieldLabelscategoryjobsub = array();
$fieldToolTipscategoryjobsub = array();
$pageTitlescategoryjobsub = array();
$placeHolderscategoryjobsub = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelscategoryjobsub["English"] = array();
	$fieldToolTipscategoryjobsub["English"] = array();
	$placeHolderscategoryjobsub["English"] = array();
	$pageTitlescategoryjobsub["English"] = array();
	$fieldLabelscategoryjobsub["English"]["subID"] = "Sub ID";
	$fieldToolTipscategoryjobsub["English"]["subID"] = "";
	$placeHolderscategoryjobsub["English"]["subID"] = "";
	$fieldLabelscategoryjobsub["English"]["CategoryjobID"] = "Categoryjob ID";
	$fieldToolTipscategoryjobsub["English"]["CategoryjobID"] = "";
	$placeHolderscategoryjobsub["English"]["CategoryjobID"] = "";
	$fieldLabelscategoryjobsub["English"]["SubName"] = "Sub Name";
	$fieldToolTipscategoryjobsub["English"]["SubName"] = "";
	$placeHolderscategoryjobsub["English"]["SubName"] = "";
	if (count($fieldToolTipscategoryjobsub["English"]))
		$tdatacategoryjobsub[".isUseToolTips"] = true;
}


	$tdatacategoryjobsub[".NCSearch"] = true;



$tdatacategoryjobsub[".shortTableName"] = "categoryjobsub";
$tdatacategoryjobsub[".nSecOptions"] = 0;

$tdatacategoryjobsub[".mainTableOwnerID"] = "";
$tdatacategoryjobsub[".entityType"] = 0;
$tdatacategoryjobsub[".connId"] = "eflejob_at_localhost";


$tdatacategoryjobsub[".strOriginalTableName"] = "categoryjobsub";

	



$tdatacategoryjobsub[".showAddInPopup"] = false;

$tdatacategoryjobsub[".showEditInPopup"] = false;

$tdatacategoryjobsub[".showViewInPopup"] = false;

	$tdatacategoryjobsub[".listAjax"] = true;
//	temporary
//$tdatacategoryjobsub[".listAjax"] = false;

	$tdatacategoryjobsub[".audit"] = false;

	$tdatacategoryjobsub[".locking"] = false;


$pages = $tdatacategoryjobsub[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacategoryjobsub[".edit"] = true;
	$tdatacategoryjobsub[".afterEditAction"] = 1;
	$tdatacategoryjobsub[".closePopupAfterEdit"] = 1;
	$tdatacategoryjobsub[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacategoryjobsub[".add"] = true;
$tdatacategoryjobsub[".afterAddAction"] = 1;
$tdatacategoryjobsub[".closePopupAfterAdd"] = 1;
$tdatacategoryjobsub[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacategoryjobsub[".list"] = true;
}



$tdatacategoryjobsub[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacategoryjobsub[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacategoryjobsub[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacategoryjobsub[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacategoryjobsub[".printFriendly"] = true;
}



$tdatacategoryjobsub[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacategoryjobsub[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacategoryjobsub[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacategoryjobsub[".isUseAjaxSuggest"] = true;



						

$tdatacategoryjobsub[".ajaxCodeSnippetAdded"] = false;

$tdatacategoryjobsub[".buttonsAdded"] = false;

$tdatacategoryjobsub[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacategoryjobsub[".isUseTimeForSearch"] = false;


$tdatacategoryjobsub[".badgeColor"] = "b22222";


$tdatacategoryjobsub[".allSearchFields"] = array();
$tdatacategoryjobsub[".filterFields"] = array();
$tdatacategoryjobsub[".requiredSearchFields"] = array();

$tdatacategoryjobsub[".googleLikeFields"] = array();
$tdatacategoryjobsub[".googleLikeFields"][] = "subID";
$tdatacategoryjobsub[".googleLikeFields"][] = "CategoryjobID";
$tdatacategoryjobsub[".googleLikeFields"][] = "SubName";



$tdatacategoryjobsub[".tableType"] = "list";

$tdatacategoryjobsub[".printerPageOrientation"] = 0;
$tdatacategoryjobsub[".nPrinterPageScale"] = 100;

$tdatacategoryjobsub[".nPrinterSplitRecords"] = 40;

$tdatacategoryjobsub[".geocodingEnabled"] = false;










$tdatacategoryjobsub[".pageSize"] = 20;

$tdatacategoryjobsub[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatacategoryjobsub[".strOrderBy"] = $tstrOrderBy;

$tdatacategoryjobsub[".orderindexes"] = array();


$tdatacategoryjobsub[".sqlHead"] = "SELECT subID,  	CategoryjobID,  	SubName";
$tdatacategoryjobsub[".sqlFrom"] = "FROM categoryjobsub";
$tdatacategoryjobsub[".sqlWhereExpr"] = "";
$tdatacategoryjobsub[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacategoryjobsub[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacategoryjobsub[".arrGroupsPerPage"] = $arrGPP;

$tdatacategoryjobsub[".highlightSearchResults"] = true;

$tableKeyscategoryjobsub = array();
$tableKeyscategoryjobsub[] = "subID";
$tdatacategoryjobsub[".Keys"] = $tableKeyscategoryjobsub;


$tdatacategoryjobsub[".hideMobileList"] = array();




//	subID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "subID";
	$fdata["GoodName"] = "subID";
	$fdata["ownerTable"] = "categoryjobsub";
	$fdata["Label"] = GetFieldLabel("categoryjobsub","subID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "subID";

		$fdata["sourceSingle"] = "subID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "subID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacategoryjobsub["subID"] = $fdata;
		$tdatacategoryjobsub[".searchableFields"][] = "subID";
//	CategoryjobID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "CategoryjobID";
	$fdata["GoodName"] = "CategoryjobID";
	$fdata["ownerTable"] = "categoryjobsub";
	$fdata["Label"] = GetFieldLabel("categoryjobsub","CategoryjobID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "CategoryjobID";

		$fdata["sourceSingle"] = "CategoryjobID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CategoryjobID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacategoryjobsub["CategoryjobID"] = $fdata;
		$tdatacategoryjobsub[".searchableFields"][] = "CategoryjobID";
//	SubName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "SubName";
	$fdata["GoodName"] = "SubName";
	$fdata["ownerTable"] = "categoryjobsub";
	$fdata["Label"] = GetFieldLabel("categoryjobsub","SubName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "SubName";

		$fdata["sourceSingle"] = "SubName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SubName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacategoryjobsub["SubName"] = $fdata;
		$tdatacategoryjobsub[".searchableFields"][] = "SubName";


$tables_data["categoryjobsub"]=&$tdatacategoryjobsub;
$field_labels["categoryjobsub"] = &$fieldLabelscategoryjobsub;
$fieldToolTips["categoryjobsub"] = &$fieldToolTipscategoryjobsub;
$placeHolders["categoryjobsub"] = &$placeHolderscategoryjobsub;
$page_titles["categoryjobsub"] = &$pageTitlescategoryjobsub;


changeTextControlsToDate( "categoryjobsub" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["categoryjobsub"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["categoryjobsub"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="categoryjob";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="categoryjob";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "categoryjob";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["categoryjobsub"][0] = $masterParams;
				$masterTablesData["categoryjobsub"][0]["masterKeys"] = array();
	$masterTablesData["categoryjobsub"][0]["masterKeys"][]="CategoryjobID";
				$masterTablesData["categoryjobsub"][0]["detailKeys"] = array();
	$masterTablesData["categoryjobsub"][0]["detailKeys"][]="CategoryjobID";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_categoryjobsub()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "subID,  	CategoryjobID,  	SubName";
$proto0["m_strFrom"] = "FROM categoryjobsub";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "subID",
	"m_strTable" => "categoryjobsub",
	"m_srcTableName" => "categoryjobsub"
));

$proto6["m_sql"] = "subID";
$proto6["m_srcTableName"] = "categoryjobsub";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "CategoryjobID",
	"m_strTable" => "categoryjobsub",
	"m_srcTableName" => "categoryjobsub"
));

$proto8["m_sql"] = "CategoryjobID";
$proto8["m_srcTableName"] = "categoryjobsub";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "SubName",
	"m_strTable" => "categoryjobsub",
	"m_srcTableName" => "categoryjobsub"
));

$proto10["m_sql"] = "SubName";
$proto10["m_srcTableName"] = "categoryjobsub";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "categoryjobsub";
$proto13["m_srcTableName"] = "categoryjobsub";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "subID";
$proto13["m_columns"][] = "CategoryjobID";
$proto13["m_columns"][] = "SubName";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "categoryjobsub";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "categoryjobsub";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="categoryjobsub";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_categoryjobsub = createSqlQuery_categoryjobsub();


	
		;

			

$tdatacategoryjobsub[".sqlquery"] = $queryData_categoryjobsub;



$tdatacategoryjobsub[".hasEvents"] = false;

?>